# frozen_string_literal: true

source 'https://rubygems.org'

ruby '2.6.5'
gem 'bootsnap'
gem 'bootstrap_form'
gem 'bundler'
gem 'carrierwave'
gem 'coffee-rails'
gem 'devise'
gem 'font-awesome-sass'
gem 'friendly_id'
gem 'hamlit'
gem 'jbuilder'
gem 'jquery-rails'
gem 'mini_magick'
gem 'openssl'
gem 'pg'
gem 'rack-attack'
gem 'rails', '>=6.0.0'
gem 'rails-ujs'
gem 'sass-rails'
gem 'sdoc', group: :doc
gem 'uglifier'
gem 'webpacker'
gem 'whenever', require: false

group :production do
  gem 'passenger'
  gem 'rails_12factor'
end

group :development do
  gem 'better_errors'
  gem 'binding_of_caller'
  gem 'brakeman'
  gem 'bullet'
  gem 'listen'
  gem 'puma'
  gem 'spring'
  gem 'traceroute'
  gem 'web-console'
end

group :development, :test do
  gem 'byebug'
  gem 'minitest'
  gem 'rails-controller-testing'
  gem 'rspec-rails', git: 'https://github.com/rspec/rspec-rails', branch: '4-0-dev'
  # gem 'rspec-rails'
end

group :test do
  gem 'capybara'
  gem 'database_cleaner'
  gem 'factory_bot_rails'
  gem 'faker'
  gem 'shoulda-matchers'
  gem 'simplecov'
end
